Payment Deposit Detail Report
Introduction
The Payment Deposit Report provides a list of payment deposits that have taken place within the specified time period.
GET /api/pp/reports/payments/deposits/details
Request Parameters
| Field | Description | Required | Format | Max Len |
|---|---|---|---|---|
| start_date | Beginning date | Yes | YYYY-MM-DD | 10 |
| end_date | Ending date | No | YYYY-MM-DD | 10 |
| funds_transfer_id | Funds Transfer ID | No | String | 50 |
Example
GET /api/pp/reports/payments/deposits/details?start_date=2013-01-01&end_date=2013-01-07
GET /api/pp/reports/payments/deposits/details?funds_transfer_id=CJT2SCMKHJFMHMWWP6V74J8EM
Response
[
{
"txn_date": "2013-01-05",
"settle_date": "2013-01-06",
"patient_external_id": "125-1381",
"patient_last_name": "Smith",
"patient_first_name": "Nathan",
"txn_id": "634ac63d-fede-4811-b77a-d219708c0108",
"txn_type": "Plan Payment",
"paymemt_plan_id": "6E909VMH-A6L678UP",
"pay_method": "Card",
"action": "Authorization",
"deposit_amount": 99.50,
"funds_transfer_id": "CJT2SCMKHJFMHMWWP6V74J8EM",
"merchant_id": "A5715BA8"
},
{
"txn_date": "2013-01-05",
"settle_date": "2013-01-06",
"patient_external_id": "125-2450",
"patient_last_name": "Green",
"patient_first_name": "Anthony",
"txn_id": "0b00542d-630e-4fd5-841a-12d65aebc0a5",
"txn_type": "Plan Payment",
"paymemt_plan_id": "5QKTELER-A5VU12J2",
"pay_method": "Card",
"action": "Authorization",
"deposit_amount": 99.0,
"funds_transfer_id": "CJT2SCMKHJFMHMWWP6V74J8EM",
"merchant_id": "A5715BA8"
},
{
"txn_date": "2013-01-05",
"settle_date": "2013-01-06",
"patient_external_id": "125-4846",
"patient_last_name": "Miller",
"patient_first_name": "Joe",
"txn_id": "e222b645-743d-40ea-9d0d-d16c3629e8bb",
"txn_type": "Plan Payment",
"paymemt_plan_id": "7AJFVJ8C-A7GTB9BL",
"pay_method": "Card",
"action": "Authorization",
"deposit_amount": 200.86
"funds_transfer_id": "CJT2SCMKHJFMHMWWP6V74J8EM",
"merchant_id": "A5715BA8"
}
]
Deposit Action Values
| Value | Description |
|---|---|
| Authorization | A payment authorization |
| Credit | A credit (refund) of a previous payment |
| Chargeback | A chargeback on a previous payment |
| Chargeback Reversal | A reversal of a chargeback on a previous payment |
| Instruction Correction | Admistrative correction to a previously submitted funding instruction |
| Instruction Reversal | Admistrative reversal of a previously submitted funding instruction |
| Reprocess Reject | Reprocessing a previously rejected funding instruction |